Package com.xebialabs.deployit.plugin.api.udm.base

## Class BaseDeployedInfrastructureAsCode<D extends DeployableArtifact,​C extends Container>

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,​C>
    - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployedArtifact<D,​C>
      - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployedInfrastructureAsCode<D,​C>

- All Implemented Interfaces:
    `Artifact`, `DerivedArtifact<D>`, `ConfigurationItem`, `Deployed<D,​C>`, `EmbeddedDeployedContainer<D,​C>`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(virtual=true,
                description="The supertype for infrastructure as code deployeds with output variables.")
      public class BaseDeployedInfrastructureAsCode<D extends DeployableArtifact,​C extends Container>
      extends BaseDeployedArtifact<D,​C>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

      `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDeployedInfrastructureAsCode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getAutomaticDictionary()` |
    `java.lang.String` | `getDictionaryPath()` |
    `java.lang.String` | `getEnvironmentPath()` |
    `boolean` | `getGenerateCIsFromResources()` |
    `java.util.Set<ConfigurationItem>` | `getGeneratedConfigurationItems()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getOutputVariables()` |
    `void` | `setAutomaticDictionary​(boolean newValue)` |
    `void` | `setDictionaryPath​(java.lang.String newValue)` |
    `void` | `setEnvironmentPath​(java.lang.String newValue)` |
    `void` | `setGenerateCIsFromResources​(boolean newValue)` |
    `void` | `setGeneratedConfigurationItems​(java.util.Set<ConfigurationItem> newValue)` |
    `void` | `setOutputVariables​(java.util.Map<java.lang.String,​java.lang.String> newValue)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployedArtifact

      `getFile, getPlaceholders, getSourceArtifact, setFile, setPlaceholders`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed

      `getBoundConfigurationItems, getContainer, getDeployable, setBoundConfigurationItems, setContainer, setDeployable`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### BaseDeployedInfrastructureAsCode

          public BaseDeployedInfrastructureAsCode()

  - ### Method Detail

    - #### getOutputVariables

          public java.util.Map<java.lang.String,​java.lang.String> getOutputVariables()

    - #### setOutputVariables

          public void setOutputVariables​(java.util.Map<java.lang.String,​java.lang.String> newValue)

    - #### getAutomaticDictionary

          public boolean getAutomaticDictionary()

    - #### setAutomaticDictionary

          public void setAutomaticDictionary​(boolean newValue)

    - #### getDictionaryPath

          public java.lang.String getDictionaryPath()

    - #### setDictionaryPath

          public void setDictionaryPath​(java.lang.String newValue)

    - #### getEnvironmentPath

          public java.lang.String getEnvironmentPath()

    - #### setEnvironmentPath

          public void setEnvironmentPath​(java.lang.String newValue)

    - #### setGenerateCIsFromResources

          public void setGenerateCIsFromResources​(boolean newValue)

    - #### getGenerateCIsFromResources

          public boolean getGenerateCIsFromResources()

    - #### getGeneratedConfigurationItems

          public java.util.Set<ConfigurationItem> getGeneratedConfigurationItems()

    - #### setGeneratedConfigurationItems

          public void setGeneratedConfigurationItems​(java.util.Set<ConfigurationItem> newValue)